package http_model

type EnterpriseBalanceRequest struct {
	//EnterpriseId int64 `json:"enterprise_id"` // 企业id
}

type EnterpriseBalanceData struct {
	Balance          float64 `json:"balance"`
	FrozenBalance    float64 `json:"frozen_balance"`
	AvailableBalance float64 `json:"available_balance"`
	Recharging       float64 `json:"recharging"`
	BillableAmount   float64 `json:"billable_amount"`
	Invoicing        float64 `json:"invoicing"`
}

func NewEnterpriseBalanceRequest() *EnterpriseBalanceRequest {
	return new(EnterpriseBalanceRequest)
}
func NewEnterpriseBalanceResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(EnterpriseBalanceData)
	return resp
}
